%define qtdir /usr/lib/qt-1.45
%define version 1.1.2
%define kderelease 15j1
%define sourcedir stable/%{version}/distribution/tar/generic/source
%define kdename kdelibs
%define enable_japanese 1
#---------------------------------------------------------------
# set KDE paths to FHS-2.0-compliant locations (Red Hat style) 
# (the $INSTALL_ROOT thing is needed only for kdelibs)

%define kde_prefix  ${INSTALL_ROOT}/usr
%define kde_share   ${INSTALL_ROOT}/usr/share
%define kde_doc     ${INSTALL_ROOT}/usr/doc/kde
%define kde_config  ${INSTALL_ROOT}/usr/share/config
%define kde_include ${INSTALL_ROOT}/usr/include/kde

%define kde_path_defs kde_htmldir=%{kde_doc}/HTML kde_icondir=%{kde_share}/icons kde_minidir=%{kde_share}/icons/mini kde_appsdir=%{kde_share}/applnk kde_sounddir=%{kde_share}/sounds kde_datadir=%{kde_share}/apps kde_locale=%{kde_share}/locale kde_cgidir=%{kde_prefix}/lib/cgi-bin kde_confdir=%{kde_config} kde_mimedir=%{kde_share}/mimelnk kde_toolbardir=%{kde_share}/toolbar kde_wallpaperdir=%{kde_share}/wallpapers kde_bindir=%{kde_prefix}/bin kde_partsdir=%{kde_prefix}/lib/parts 
#-----------------------------------------------------------------------

Name: %{kdename}
Icon: kde-icon.xpm
Summary: Libraries for the K Desktop Environment (KDE).
Version: %{version}
Release: %{kderelease}
Serial: 2
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{kdename}-%{version}.tar.bz2
Source1: kdoc-snapshot.tar.gz
Patch0: kdelibs-1.1.2-iconpaths.patch
Patch1: kdelibs-1.1.2-redhat.patch
Patch2: kdelibs-1.1.2-bool.patch
Patch3: kdelibs-1.1.2-fixdebug.patch
Patch10: kdelibs-ja.19990915.diff.gz
Group: System Environment/Libraries
License: LGPL
BuildRoot: /var/tmp/%{kdename}-buildroot
BuildPrereq: autoconf, automake, libtool, kdesupport-devel, qt1x-devel
Requires: kdesupport
Prefix: /usr

%description
The K Desktop Environment (KDE) is a GUI desktop for the X Window
System. The kdelibs package contains libraries for KDE, including:
kdecore, the core library for KDE; kdeui, the user interface library;
kfm, the file manager library, khtmlw, the HTML widget library; kfile,
the file access library; kspell, the spelling checker library;
jscript, the JavaScript library; kab, the addressbook library; kimgio,
an image manipulation library; and mediatool, a library for sound,
mixing and animation.

Install kdelibs if you're installing KDE.  You'll also need to install
kdebase and kdesupport.

%package devel
Group: Development/Libraries
Summary: Header files and documentation for compiling KDE applications.
Requires: qt1x-devel, kdesupport-devel

%description devel
The kdelibs-devel package includes the header files needed to compile
applications for the K Desktop Environment (KDE).  This package also
includes the KDE Application Programming Interface (API) documentation
in HTML format for easy browsing.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n kdelibs -a 1
%patch0 -p1 -b .iconpaths
%patch1 -p1 -b .redhat
%patch2 -p1 -b .bool
%patch3 -p1 -b .fixdebug
%if %{enable_japanese}
%patch10 -p1 -b .ja
%endif

%build
export INSTALL_ROOT= QTDIR=%{qtdir}
make -f Makefile.cvs
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG" \
	%{kde_path_defs} ./configure \
	--prefix=/usr \
	--includedir=/usr/include/kde \
	%{_arch}-redhat-linux
make

cd kdoc
make -f Makefile.cvs
%configure \
	--exec-prefix=/usr 
make

# generate documentation
chmod +x kdoc && perl -pi -e \
	"s|/usr/local/bin|/usr/bin|g" kdoc

PERLLIB=$PWD PATH=$PATH:$PWD perl qt2kdoc \
	-u $PWD/../qt1x-devel-1.45  \
	-o $PWD/.. \
	-z /usr/doc/qt1x-devel-1.45
PERLLIB=$PWD PATH=$PATH:$PWD perl makekdedoc \
	--outputdir=$PWD/../srcdoc \
	--srcdir=$PWD/.. \
	-L $PWD/..

#PERL -pi -e "s|%/usr/src/bs/BUILD/kdelibs-1.1.2/kdoc/../srcdoc/|

%install
export INSTALL_ROOT=$RPM_BUILD_ROOT
make %{kde_path_defs} includedir=$RPM_BUILD_ROOT/usr/include/kde \
	prefix=$RPM_BUILD_ROOT/usr install-strip

chmod a+x $RPM_BUILD_ROOT/usr/lib/*

cd kdoc
make install prefix=$RPM_BUILD_ROOT/usr \
	exec_prefix=$RPM_BUILD_ROOT/usr

perl -pi -e "s|/var/tmp/kdelibs-buildroot|/|" $RPM_BUILD_ROOT/usr/bin/kdoc

strip --strip-unneeded -R .comments $RPM_BUILD_ROOT/usr/lib/*.so*

# build file list
cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s|^\.|\%attr(-,root,root) \%dir |' > \
		$RPM_BUILD_DIR/master.list

find . -type f | sed -e 's|^\.|\%attr(-,root,root) |' \
		-e '/\/config\//s|^|%config|' \
		-e 's|.1$|.1\*|g' >> \
		$RPM_BUILD_DIR/master.list

find . -type l | sed 's|^\.|\%attr(-,root,root) |' >> \
		$RPM_BUILD_DIR/master.list

grep "/include" $RPM_BUILD_DIR/master.list > \
	$RPM_BUILD_DIR/file.list.%{kdename}-devel
grep ".so$" $RPM_BUILD_DIR/master.list >> \
	$RPM_BUILD_DIR/file.list.%{kdename}-devel
# KDOC
grep "/share/kdoc" $RPM_BUILD_DIR/master.list >> \
	$RPM_BUILD_DIR/file.list.%{kdename}-devel
grep "/bin" $RPM_BUILD_DIR/master.list >> \
	$RPM_BUILD_DIR/file.list.%{kdename}-devel
grep "/man/man1" $RPM_BUILD_DIR/master.list >> \
	$RPM_BUILD_DIR/file.list.%{kdename}-devel

egrep -v "/include|.so$|/share/kdoc|/bin|/man/man1" \
	$RPM_BUILD_DIR/master.list > \
	$RPM_BUILD_DIR/file.list.%{kdename}

echo "%docdir /usr/doc/kde" >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/master.list
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}-devel

%post -p /sbin/ldconfig

%postun
/sbin/ldconfig

%files -f ../file.list.%{kdename}

%files devel -f ../file.list.%{kdename}-devel
%doc *kdoc.gz
%doc srcdoc/*

%changelog
* Tue Mar 14 2000 Matt Wilson <msw@redhat.com>
- add japanese patch, enable_japanese macro
- edited patch not to change Makefile.in

* Mon Feb 21 2000 Preston Brown <pbrown@redhat.com>
- fix kde_htmldir to /usr/doc/kde, dropped because of configure macro error.

* Thu Feb 17 2000 Preston Brown <pbrown@redhat.com>
- remove some debug output from KCharset class

* Wed Feb  9 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- modify readBoolEntry to accept "1" in addition to "true" and "on"
  for backwards compatibility (Terminal= is now bool; used to be
  string 0 or 1)

* Fri Feb  4 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- strip libraries

* Fri Feb 04 2000 Preston Brown <pbrown@redhat.com>
- make relocatable

* Fri Jan  7 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Update to current KDE_1_1_BRANCH
- Make use of BuildPrereq
- kdelibs-devel requires kdesupport-devel
- rebuild in 6.2 environment (Qt 1.45)

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- move kde_htmldir to /usr/doc/kde
- mark doc files as such

* Tue Sep 21 1999 Preston Brown <pbrown@redhat.com>
- fix up perl include path for kdoc

* Thu Sep 16 1999 Preston Brown <pbrown@redhat.com>
- remove linking to qimgio from kdecore, moved to kpanel/kfm directly
- renamed "lowcolor" directory to "locolor"

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- added lowcolor icons directory and /usr/share/pixmaps to icon search path
- hacking to recognize .desktop files as application/x-kdelnk

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- added kdoc index files.

* Wed Sep 08 1999 Preston Brown <pbrown@redhat.com>
- updated to KDE 1.1.2.
- use /usr/lib/qt-1.44 as qt root.
- separate devel subpackages; include documentation and kdoc.
- added KDE icon.
- relocated includes to /usr/include/kde

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Fri Jan 15 1999 Preston Brown <pbrown@redhat.com>
- updated macros for RPM 3.0, removed redhat-release dependency

* Tue Jan 05 1999 Preston Brown <pbrown@redhat.com>
- re-integrated changes from Duncan Haldane








